package com.gingersoft.gsa.cloud.pay.pos.hywebpos.bean.response.pos;

import android.os.Parcel;
import android.os.Parcelable;

import lombok.Data;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019/6/6
 * 修订历史：2019/6/6
 * 描述：
 */
@Data
public class VoidRespose  extends HywebPosResponse implements Parcelable {

    //N5取消回调数据
//    private String TXN_ID;
//    private double TXN_AMT;
    private String RESP_CODE;
    private String TRACE_NO;
    private String TXN_TIME;
    private String TXN_DATE;
    private String HOST_REF;

    public VoidRespose() {
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        super.writeToParcel(dest, flags);
        dest.writeString(this.RESP_CODE);
        dest.writeString(this.TRACE_NO);
        dest.writeString(this.TXN_TIME);
        dest.writeString(this.TXN_DATE);
        dest.writeString(this.HOST_REF);
    }

    protected VoidRespose(Parcel in) {
        super(in);
        this.RESP_CODE = in.readString();
        this.TRACE_NO = in.readString();
        this.TXN_TIME = in.readString();
        this.TXN_DATE = in.readString();
        this.HOST_REF = in.readString();
    }

    public static final Creator<VoidRespose> CREATOR = new Creator<VoidRespose>() {
        @Override
        public VoidRespose createFromParcel(Parcel source) {
            return new VoidRespose(source);
        }

        @Override
        public VoidRespose[] newArray(int size) {
            return new VoidRespose[size];
        }
    };
}
